path: /build/build/crypto++-dev-libs-8.9.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/crypto++ -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/crypto++
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/crypto++ && luet-portage --dir /pkgdir/crypto++
    dev-libs/crypto++ && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2a1b1d0b3e5bac8cabbd6301e5f9de4190495dfe5800cb6a1ab5315ccb29df8b
  package:
    name: crypto++
    version: 8.9.0
    category: dev-libs
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++ class library of cryptographic schemes
    uri:
    - https://cryptopp.com
    license: BSL-1.0
    buildtimestamp: 2023-11-27 07:25:21.398684312 +0000 UTC m=+300.666540965
    labels:
      BDEPEND: app-arch/unzip
      IUSE: +asm static-libs
      emerge.packages: dev-libs/crypto++
      kit: dev-kit
      original.package.name: dev-libs/crypto++
      original.package.slot: "0"
      original.package.version: 8.9.0
    treedir: /build/packages
  package_dir: /pkgdir/crypto++
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 09df94f9970ab8e7dd257ebe79aba788b3a765431fd82c8119810d94ee414b27
compressiontype: zstd
files:
- usr/bin/cryptest.exe
- usr/include/cryptopp/3way.h
- usr/include/cryptopp/adler32.h
- usr/include/cryptopp/adv_simd.h
- usr/include/cryptopp/aes.h
- usr/include/cryptopp/aes_armv4.h
- usr/include/cryptopp/algebra.h
- usr/include/cryptopp/algparam.h
- usr/include/cryptopp/allocate.h
- usr/include/cryptopp/arc4.h
- usr/include/cryptopp/argnames.h
- usr/include/cryptopp/aria.h
- usr/include/cryptopp/arm_simd.h
- usr/include/cryptopp/asn.h
- usr/include/cryptopp/authenc.h
- usr/include/cryptopp/base32.h
- usr/include/cryptopp/base64.h
- usr/include/cryptopp/basecode.h
- usr/include/cryptopp/bench.h
- usr/include/cryptopp/blake2.h
- usr/include/cryptopp/blowfish.h
- usr/include/cryptopp/blumshub.h
- usr/include/cryptopp/camellia.h
- usr/include/cryptopp/cast.h
- usr/include/cryptopp/cbcmac.h
- usr/include/cryptopp/ccm.h
- usr/include/cryptopp/chacha.h
- usr/include/cryptopp/chachapoly.h
- usr/include/cryptopp/cham.h
- usr/include/cryptopp/channels.h
- usr/include/cryptopp/cmac.h
- usr/include/cryptopp/config.h
- usr/include/cryptopp/config_align.h
- usr/include/cryptopp/config_asm.h
- usr/include/cryptopp/config_cpu.h
- usr/include/cryptopp/config_cxx.h
- usr/include/cryptopp/config_dll.h
- usr/include/cryptopp/config_int.h
- usr/include/cryptopp/config_misc.h
- usr/include/cryptopp/config_ns.h
- usr/include/cryptopp/config_os.h
- usr/include/cryptopp/config_ver.h
- usr/include/cryptopp/cpu.h
- usr/include/cryptopp/crc.h
- usr/include/cryptopp/cryptlib.h
- usr/include/cryptopp/darn.h
- usr/include/cryptopp/default.h
- usr/include/cryptopp/des.h
- usr/include/cryptopp/dh.h
- usr/include/cryptopp/dh2.h
- usr/include/cryptopp/dll.h
- usr/include/cryptopp/dmac.h
- usr/include/cryptopp/donna.h
- usr/include/cryptopp/donna_32.h
- usr/include/cryptopp/donna_64.h
- usr/include/cryptopp/donna_sse.h
- usr/include/cryptopp/drbg.h
- usr/include/cryptopp/dsa.h
- usr/include/cryptopp/eax.h
- usr/include/cryptopp/ec2n.h
- usr/include/cryptopp/eccrypto.h
- usr/include/cryptopp/ecp.h
- usr/include/cryptopp/ecpoint.h
- usr/include/cryptopp/elgamal.h
- usr/include/cryptopp/emsa2.h
- usr/include/cryptopp/eprecomp.h
- usr/include/cryptopp/esign.h
- usr/include/cryptopp/factory.h
- usr/include/cryptopp/fhmqv.h
- usr/include/cryptopp/files.h
- usr/include/cryptopp/filters.h
- usr/include/cryptopp/fips140.h
- usr/include/cryptopp/fltrimpl.h
- usr/include/cryptopp/gcm.h
- usr/include/cryptopp/gf256.h
- usr/include/cryptopp/gf2_32.h
- usr/include/cryptopp/gf2n.h
- usr/include/cryptopp/gfpcrypt.h
- usr/include/cryptopp/gost.h
- usr/include/cryptopp/gzip.h
- usr/include/cryptopp/hashfwd.h
- usr/include/cryptopp/hc128.h
- usr/include/cryptopp/hc256.h
- usr/include/cryptopp/hex.h
- usr/include/cryptopp/hight.h
- usr/include/cryptopp/hkdf.h
- usr/include/cryptopp/hmac.h
- usr/include/cryptopp/hmqv.h
- usr/include/cryptopp/hrtimer.h
- usr/include/cryptopp/ida.h
- usr/include/cryptopp/idea.h
- usr/include/cryptopp/integer.h
- usr/include/cryptopp/iterhash.h
- usr/include/cryptopp/kalyna.h
- usr/include/cryptopp/keccak.h
- usr/include/cryptopp/lea.h
- usr/include/cryptopp/lsh.h
- usr/include/cryptopp/lubyrack.h
- usr/include/cryptopp/luc.h
- usr/include/cryptopp/mars.h
- usr/include/cryptopp/md2.h
- usr/include/cryptopp/md4.h
- usr/include/cryptopp/md5.h
- usr/include/cryptopp/mdc.h
- usr/include/cryptopp/mersenne.h
- usr/include/cryptopp/misc.h
- usr/include/cryptopp/modarith.h
- usr/include/cryptopp/modes.h
- usr/include/cryptopp/modexppc.h
- usr/include/cryptopp/mqueue.h
- usr/include/cryptopp/mqv.h
- usr/include/cryptopp/naclite.h
- usr/include/cryptopp/nbtheory.h
- usr/include/cryptopp/nr.h
- usr/include/cryptopp/oaep.h
- usr/include/cryptopp/oids.h
- usr/include/cryptopp/osrng.h
- usr/include/cryptopp/ossig.h
- usr/include/cryptopp/padlkrng.h
- usr/include/cryptopp/panama.h
- usr/include/cryptopp/pch.h
- usr/include/cryptopp/pkcspad.h
- usr/include/cryptopp/poly1305.h
- usr/include/cryptopp/polynomi.h
- usr/include/cryptopp/ppc_simd.h
- usr/include/cryptopp/pssr.h
- usr/include/cryptopp/pubkey.h
- usr/include/cryptopp/pwdbased.h
- usr/include/cryptopp/queue.h
- usr/include/cryptopp/rabbit.h
- usr/include/cryptopp/rabin.h
- usr/include/cryptopp/randpool.h
- usr/include/cryptopp/rc2.h
- usr/include/cryptopp/rc5.h
- usr/include/cryptopp/rc6.h
- usr/include/cryptopp/rdrand.h
- usr/include/cryptopp/resource.h
- usr/include/cryptopp/rijndael.h
- usr/include/cryptopp/ripemd.h
- usr/include/cryptopp/rng.h
- usr/include/cryptopp/rsa.h
- usr/include/cryptopp/rw.h
- usr/include/cryptopp/safer.h
- usr/include/cryptopp/salsa.h
- usr/include/cryptopp/scrypt.h
- usr/include/cryptopp/seal.h
- usr/include/cryptopp/secblock.h
- usr/include/cryptopp/secblockfwd.h
- usr/include/cryptopp/seckey.h
- usr/include/cryptopp/seed.h
- usr/include/cryptopp/serpent.h
- usr/include/cryptopp/serpentp.h
- usr/include/cryptopp/sha.h
- usr/include/cryptopp/sha1_armv4.h
- usr/include/cryptopp/sha256_armv4.h
- usr/include/cryptopp/sha3.h
- usr/include/cryptopp/sha512_armv4.h
- usr/include/cryptopp/shacal2.h
- usr/include/cryptopp/shake.h
- usr/include/cryptopp/shark.h
- usr/include/cryptopp/simeck.h
- usr/include/cryptopp/simon.h
- usr/include/cryptopp/simple.h
- usr/include/cryptopp/siphash.h
- usr/include/cryptopp/skipjack.h
- usr/include/cryptopp/sm3.h
- usr/include/cryptopp/sm4.h
- usr/include/cryptopp/smartptr.h
- usr/include/cryptopp/sosemanuk.h
- usr/include/cryptopp/speck.h
- usr/include/cryptopp/square.h
- usr/include/cryptopp/stdcpp.h
- usr/include/cryptopp/strciphr.h
- usr/include/cryptopp/tea.h
- usr/include/cryptopp/threefish.h
- usr/include/cryptopp/tiger.h
- usr/include/cryptopp/trap.h
- usr/include/cryptopp/trunhash.h
- usr/include/cryptopp/ttmac.h
- usr/include/cryptopp/tweetnacl.h
- usr/include/cryptopp/twofish.h
- usr/include/cryptopp/validate.h
- usr/include/cryptopp/vmac.h
- usr/include/cryptopp/wake.h
- usr/include/cryptopp/whrlpool.h
- usr/include/cryptopp/words.h
- usr/include/cryptopp/xed25519.h
- usr/include/cryptopp/xtr.h
- usr/include/cryptopp/xtrcrypt.h
- usr/include/cryptopp/xts.h
- usr/include/cryptopp/zdeflate.h
- usr/include/cryptopp/zinflate.h
- usr/include/cryptopp/zlib.h
- usr/lib64/libcryptopp.so
- usr/lib64/libcryptopp.so.8
- usr/lib64/libcryptopp.so.8.9.0
- usr/lib64/pkgconfig/libcryptopp.pc
- usr/share/cryptopp/TestData/3desval.dat
- usr/share/cryptopp/TestData/3wayval.dat
- usr/share/cryptopp/TestData/aria.dat
- usr/share/cryptopp/TestData/camellia.dat
- usr/share/cryptopp/TestData/cast128v.dat
- usr/share/cryptopp/TestData/cast256v.dat
- usr/share/cryptopp/TestData/descert.dat
- usr/share/cryptopp/TestData/dh1024.dat
- usr/share/cryptopp/TestData/dh2048.dat
- usr/share/cryptopp/TestData/dlie1024.dat
- usr/share/cryptopp/TestData/dlie2048.dat
- usr/share/cryptopp/TestData/dsa1024.dat
- usr/share/cryptopp/TestData/dsa1024b.dat
- usr/share/cryptopp/TestData/dsa512.dat
- usr/share/cryptopp/TestData/ecies_p160.dat
- usr/share/cryptopp/TestData/ecies_t163.dat
- usr/share/cryptopp/TestData/ed25519.dat
- usr/share/cryptopp/TestData/ed25519v0.dat
- usr/share/cryptopp/TestData/ed25519v1.dat
- usr/share/cryptopp/TestData/elgc1024.dat
- usr/share/cryptopp/TestData/esig1023.dat
- usr/share/cryptopp/TestData/esig1536.dat
- usr/share/cryptopp/TestData/esig2046.dat
- usr/share/cryptopp/TestData/fhmqv160.dat
- usr/share/cryptopp/TestData/fhmqv256.dat
- usr/share/cryptopp/TestData/fhmqv384.dat
- usr/share/cryptopp/TestData/fhmqv512.dat
- usr/share/cryptopp/TestData/gostval.dat
- usr/share/cryptopp/TestData/hmqv160.dat
- usr/share/cryptopp/TestData/hmqv256.dat
- usr/share/cryptopp/TestData/hmqv384.dat
- usr/share/cryptopp/TestData/hmqv512.dat
- usr/share/cryptopp/TestData/ideaval.dat
- usr/share/cryptopp/TestData/luc1024.dat
- usr/share/cryptopp/TestData/luc2048.dat
- usr/share/cryptopp/TestData/lucc1024.dat
- usr/share/cryptopp/TestData/lucc512.dat
- usr/share/cryptopp/TestData/lucd1024.dat
- usr/share/cryptopp/TestData/lucd512.dat
- usr/share/cryptopp/TestData/lucs1024.dat
- usr/share/cryptopp/TestData/lucs512.dat
- usr/share/cryptopp/TestData/marsval.dat
- usr/share/cryptopp/TestData/mqv1024.dat
- usr/share/cryptopp/TestData/mqv2048.dat
- usr/share/cryptopp/TestData/nr1024.dat
- usr/share/cryptopp/TestData/nr2048.dat
- usr/share/cryptopp/TestData/rabi1024.dat
- usr/share/cryptopp/TestData/rabi2048.dat
- usr/share/cryptopp/TestData/rc2val.dat
- usr/share/cryptopp/TestData/rc5val.dat
- usr/share/cryptopp/TestData/rc6val.dat
- usr/share/cryptopp/TestData/rijndael.dat
- usr/share/cryptopp/TestData/rsa1024.dat
- usr/share/cryptopp/TestData/rsa2048.dat
- usr/share/cryptopp/TestData/rsa2048a.dat
- usr/share/cryptopp/TestData/rsa400pb.dat
- usr/share/cryptopp/TestData/rsa400pv.dat
- usr/share/cryptopp/TestData/rsa512a.dat
- usr/share/cryptopp/TestData/rw1024.dat
- usr/share/cryptopp/TestData/rw2048.dat
- usr/share/cryptopp/TestData/saferval.dat
- usr/share/cryptopp/TestData/serpentv.dat
- usr/share/cryptopp/TestData/shacal2v.dat
- usr/share/cryptopp/TestData/sharkval.dat
- usr/share/cryptopp/TestData/skipjack.dat
- usr/share/cryptopp/TestData/squareva.dat
- usr/share/cryptopp/TestData/twofishv.dat
- usr/share/cryptopp/TestData/usage.dat
- usr/share/cryptopp/TestData/x25519.dat
- usr/share/cryptopp/TestData/x25519v0.dat
- usr/share/cryptopp/TestData/x25519v1.dat
- usr/share/cryptopp/TestData/xtrdh171.dat
- usr/share/cryptopp/TestData/xtrdh342.dat
- usr/share/cryptopp/TestVectors/Readme.txt
- usr/share/cryptopp/TestVectors/aead.txt
- usr/share/cryptopp/TestVectors/aes.txt
- usr/share/cryptopp/TestVectors/all.txt
- usr/share/cryptopp/TestVectors/aria.txt
- usr/share/cryptopp/TestVectors/blake2.txt
- usr/share/cryptopp/TestVectors/blake2b.txt
- usr/share/cryptopp/TestVectors/blake2s.txt
- usr/share/cryptopp/TestVectors/camellia.txt
- usr/share/cryptopp/TestVectors/ccm.txt
- usr/share/cryptopp/TestVectors/chacha.txt
- usr/share/cryptopp/TestVectors/chacha20poly1305.txt
- usr/share/cryptopp/TestVectors/chacha_tls.txt
- usr/share/cryptopp/TestVectors/cham.txt
- usr/share/cryptopp/TestVectors/cmac.txt
- usr/share/cryptopp/TestVectors/dlies.txt
- usr/share/cryptopp/TestVectors/dsa.txt
- usr/share/cryptopp/TestVectors/dsa_1363.txt
- usr/share/cryptopp/TestVectors/dsa_rfc6979.txt
- usr/share/cryptopp/TestVectors/eax.txt
- usr/share/cryptopp/TestVectors/esign.txt
- usr/share/cryptopp/TestVectors/gcm.txt
- usr/share/cryptopp/TestVectors/hc128.txt
- usr/share/cryptopp/TestVectors/hc256.txt
- usr/share/cryptopp/TestVectors/hight.txt
- usr/share/cryptopp/TestVectors/hkdf.txt
- usr/share/cryptopp/TestVectors/hmac.txt
- usr/share/cryptopp/TestVectors/kalyna.txt
- usr/share/cryptopp/TestVectors/keccak.txt
- usr/share/cryptopp/TestVectors/lea.txt
- usr/share/cryptopp/TestVectors/lsh.txt
- usr/share/cryptopp/TestVectors/lsh256.txt
- usr/share/cryptopp/TestVectors/lsh512.txt
- usr/share/cryptopp/TestVectors/lsh512_256.txt
- usr/share/cryptopp/TestVectors/mars.txt
- usr/share/cryptopp/TestVectors/nr.txt
- usr/share/cryptopp/TestVectors/ocb.txt
- usr/share/cryptopp/TestVectors/panama.txt
- usr/share/cryptopp/TestVectors/poly1305_tls.txt
- usr/share/cryptopp/TestVectors/poly1305aes.txt
- usr/share/cryptopp/TestVectors/rabbit.txt
- usr/share/cryptopp/TestVectors/rsa_oaep.txt
- usr/share/cryptopp/TestVectors/rsa_pkcs1_1_5.txt
- usr/share/cryptopp/TestVectors/rsa_pss.txt
- usr/share/cryptopp/TestVectors/rw.txt
- usr/share/cryptopp/TestVectors/salsa.txt
- usr/share/cryptopp/TestVectors/seal.txt
- usr/share/cryptopp/TestVectors/seed.txt
- usr/share/cryptopp/TestVectors/sha.txt
- usr/share/cryptopp/TestVectors/sha1_160_fips_180.txt
- usr/share/cryptopp/TestVectors/sha1_fips_180.txt
- usr/share/cryptopp/TestVectors/sha2.txt
- usr/share/cryptopp/TestVectors/sha2_224_fips_180.txt
- usr/share/cryptopp/TestVectors/sha2_256_fips_180.txt
- usr/share/cryptopp/TestVectors/sha2_384_fips_180.txt
- usr/share/cryptopp/TestVectors/sha2_512_fips_180.txt
- usr/share/cryptopp/TestVectors/sha2_fips_180.txt
- usr/share/cryptopp/TestVectors/sha3.txt
- usr/share/cryptopp/TestVectors/sha3_224_fips_202.txt
- usr/share/cryptopp/TestVectors/sha3_256_fips_202.txt
- usr/share/cryptopp/TestVectors/sha3_384_fips_202.txt
- usr/share/cryptopp/TestVectors/sha3_512_fips_202.txt
- usr/share/cryptopp/TestVectors/sha3_fips_202.txt
- usr/share/cryptopp/TestVectors/shacal2.txt
- usr/share/cryptopp/TestVectors/shake.txt
- usr/share/cryptopp/TestVectors/simeck.txt
- usr/share/cryptopp/TestVectors/simon.txt
- usr/share/cryptopp/TestVectors/siphash.txt
- usr/share/cryptopp/TestVectors/skipjack.txt
- usr/share/cryptopp/TestVectors/sm3.txt
- usr/share/cryptopp/TestVectors/sm4.txt
- usr/share/cryptopp/TestVectors/sosemanuk.txt
- usr/share/cryptopp/TestVectors/speck.txt
- usr/share/cryptopp/TestVectors/tea.txt
- usr/share/cryptopp/TestVectors/threefish.txt
- usr/share/cryptopp/TestVectors/ttmac.txt
- usr/share/cryptopp/TestVectors/vmac.txt
- usr/share/cryptopp/TestVectors/wake.txt
- usr/share/cryptopp/TestVectors/whrlpool.txt
- usr/share/cryptopp/TestVectors/xchacha.txt
- usr/share/cryptopp/TestVectors/xts.txt
- var/db/pkg/dev-libs/crypto++-8.9.0/BDEPEND
- var/db/pkg/dev-libs/crypto++-8.9.0/BUILD_TIME
- var/db/pkg/dev-libs/crypto++-8.9.0/CATEGORY
- var/db/pkg/dev-libs/crypto++-8.9.0/CBUILD
- var/db/pkg/dev-libs/crypto++-8.9.0/CFLAGS
- var/db/pkg/dev-libs/crypto++-8.9.0/CHOST
- var/db/pkg/dev-libs/crypto++-8.9.0/CONTENTS
- var/db/pkg/dev-libs/crypto++-8.9.0/COUNTER
- var/db/pkg/dev-libs/crypto++-8.9.0/CXXFLAGS
- var/db/pkg/dev-libs/crypto++-8.9.0/DEFINED_PHASES
- var/db/pkg/dev-libs/crypto++-8.9.0/DESCRIPTION
- var/db/pkg/dev-libs/crypto++-8.9.0/EAPI
- var/db/pkg/dev-libs/crypto++-8.9.0/FEATURES
- var/db/pkg/dev-libs/crypto++-8.9.0/HOMEPAGE
- var/db/pkg/dev-libs/crypto++-8.9.0/INHERITED
- var/db/pkg/dev-libs/crypto++-8.9.0/IUSE
- var/db/pkg/dev-libs/crypto++-8.9.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/crypto++-8.9.0/KEYWORDS
- var/db/pkg/dev-libs/crypto++-8.9.0/LDFLAGS
- var/db/pkg/dev-libs/crypto++-8.9.0/LICENSE
- var/db/pkg/dev-libs/crypto++-8.9.0/NEEDED
- var/db/pkg/dev-libs/crypto++-8.9.0/PF
- var/db/pkg/dev-libs/crypto++-8.9.0/PROVIDES
- var/db/pkg/dev-libs/crypto++-8.9.0/REQUIRES
- var/db/pkg/dev-libs/crypto++-8.9.0/SIZE
- var/db/pkg/dev-libs/crypto++-8.9.0/SLOT
- var/db/pkg/dev-libs/crypto++-8.9.0/USE
- var/db/pkg/dev-libs/crypto++-8.9.0/crypto++-8.9.0.ebuild
- var/db/pkg/dev-libs/crypto++-8.9.0/environment.bz2
- var/db/pkg/dev-libs/crypto++-8.9.0/repository
package_cacheimage: ""
runtime:
  name: crypto++
  version: 8.9.0
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++ class library of cryptographic schemes
  uri:
  - https://cryptopp.com
  license: BSL-1.0
  labels:
    BDEPEND: app-arch/unzip
    IUSE: +asm static-libs
    emerge.packages: dev-libs/crypto++
    kit: dev-kit
    original.package.name: dev-libs/crypto++
    original.package.slot: "0"
    original.package.version: 8.9.0
